package ast;
public class CLASSREF extends DESIGNATOR {
   public String ident;          // Input Attribute

    public CLASSREF (String ident, DESIGNATOR next, int position) {
       super(position);
       this.ident = ident;
       this.next = next;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<CLASSREF " +
                  "ident=\"" + ident + "\" " +
                  "pos=\"" + position + "\">\n";
       s += next.toString(indent+1);
       s += blanks(indent) + "</CLASSREF>\n";
       return s;
   }
}

