package ast;
public class DEREF extends DESIGNATOR {
   public DESIGNATOR next;           // Child

   public DEREF (DESIGNATOR next, int position) {
       super(position);
       this.next = next;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<DEREF " +
                  "pos=\"" + 
                  position + "\">\n";
       s += next.toString(indent+1);
       s += blanks(indent) + "</DEREF>\n";
       return s;
   }
}

